package org.globus.transfer.reliable.service.cache;

import org.globus.transfer.reliable.service.exception.RftTransientException;

public interface Connection
{
    public int getType();
    public int getNumberFDs();
    public long getLastUsed();
    public void updateLastUsed();
    public void closeConnection();
    public void setRestartMarker(String marker) throws RftTransientException;
    public boolean checkForReuse (ConnectionParameter params);
    public void updateForReuse (ConnectionParameter params);
    public boolean checkConnectionIntegrity();
}
